VMControlLibrary (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.vmware
Class VMControlLibrary

    java.lang.Object
      org.hyperic.sigar.vmware.VMControlLibrary

    public class VMControlLibrary

extends java.lang.Object

Field Summary
`static java.lang.String` | `PROP_VMCONTROL_SHLIB`
`static java.lang.String` | `REGISTRY_ROOT`

Constructor Summary
`VMControlLibrary()`

Method Summary
`static java.lang.String` | `getSharedLibrary()`
`static boolean` | `isLoaded()`
`static void` | `link()`
`static void` | `link(java.lang.String name)`
`static void` | `main(java.lang.String[] args)`
`static void` | `setSharedLibrary(java.lang.String lib)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGISTRY_ROOT

    public static final java.lang.String REGISTRY_ROOT

See Also:
  Constant Field Values

### PROP_VMCONTROL_SHLIB

    public static final java.lang.String PROP_VMCONTROL_SHLIB

See Also:
  Constant Field Values

Constructor Detail

### VMControlLibrary

    public VMControlLibrary()

Method Detail

### getSharedLibrary

    public static java.lang.String getSharedLibrary()

### setSharedLibrary

    public static void setSharedLibrary(java.lang.String lib)

### link

    public static void link()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### link

    public static void link(java.lang.String name)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### isLoaded

    public static boolean isLoaded()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.